#
# spec file for package audacity (Version 1.3.12)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with ffmpeg
%bcond_with mad
%bcond_with twolame

Name:           audacity
BuildRequires:  alsa-devel
# we use internal PortAudio(so it is not included here in BuildRequires), because audacity team grab sources
# from Portaudio's svn more frequently than we (e.g. see support for non-mmap devices like pulseaudio)
BuildRequires:  flac-devel
BuildRequires:  gcc-c++
BuildRequires:  jack-devel
BuildRequires:  libexpat-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libvorbis-devel
BuildRequires:  soundtouch-devel
BuildRequires:  taglib-devel
BuildRequires:  update-desktop-files
BuildRequires:  wxGTK-devel
#vamp-plugin-sdk-devel is available since openSUSE 11.2
%if %suse_version > 1110
BuildRequires:  vamp-plugin-sdk-devel
%endif
%if %{with ffmpeg}
BuildRequires:  libffmpeg-devel
%endif
%if %{with mad}
BuildRequires:  libmad-devel
%endif
%if %{with twolame}
BuildRequires:  libtwolame-devel
%endif
Version:        1.3.12
Release:        7
License:        GPLv2+
Summary:        A Free, Cross-Platform Digital Audio Editor
Url:            http://audacity.sourceforge.net/
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Source:         %{name}-minsrc-%{version}-beta.tar.bz2
Source1:        %{name}.png
Source2:        %{name}-license-nyquist
# PATCH-FIX-OPENSUSE %{name}-no_buildstamp.patch reddwarf@opensuse.org -- this patch removes the buildstamp
Patch0:         %{name}-no_buildstamp.patch
Patch5:         %{name}-retval.patch
Patch12:        %{name}-audiodevdefaults.patch
Patch13:        audacity-nomac.patch
# PATCH-FIX-OPENSUSE %{name}-ffmpeg_match_ext.patch reddwarf@opensuse.org -- Fix ffmpeg support with versions after 2010-03-08. Upstream knows the problem but doesn't wants the patch right now.
Patch14:        %{name}-ffmpeg_match_ext.patch
# PATCH-FIX-OPENSUSE %{name}-no_exact_ffmpeg_version.patch reddwarf@opensuse.org -- remove referene to minor/micro ffmpeg versions so build-compare can do its work
Patch15:        %{name}-no_exact_ffmpeg_version.patch
Patch16:        %{name}-implicit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Audacity is a program that manipulates digital audio wave forms. In
addition to recording sounds directly from within the program, it
imports many sound file formats, including WAV, AIFF, AU, IRCAM, MP,
and Ogg Vorbis.  With Audacity, you can edit wave data larger than the
physical memory size of your computer.

%prep
%setup -q -n %{name}-src-%{version}-beta
%patch0
%patch5
%patch12 -p1
%patch13 -p1
%patch14
%patch15
%patch16
%{__cp} %{S:2}  LICENSE_NYQUIST.txt

%build
#%{?suse_update_config:%{suse_update_config -f . lib-src/*/.}}
#export AUTOMAKE="automake --foreign"
%configure \
    --enable-unicode \
    --with-libvorbis=system \
%if %{with ffmpeg}
    --with-ffmpeg=system \
%else
    --without-ffmpeg \
%endif
%if %{with mad}
    --with-libmad=system \
%else
    --without-libmad \
%endif
%if %{with twolame}
    --with-libtwolame=system \
%else
    --without-libtwolame \
%endif
    --with-libsndfile=system \
    --with-libflac=system \
    --with-ladspa \
    --with-libid3tag=system \
    --with-libsamplerate=system
%{__make} %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file audacity
%{__install} -v -d -m755 %{buildroot}%{_datadir}/pixmaps
%{__install} -v -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
#delete default icon we have nicer - transparent :)
%__rm %{buildroot}%{_datadir}/pixmaps/*.xpm
# we will add docs later in %files section
%__rm -rf %{buildroot}%{_datadir}/doc/audacity
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc LICENSE.txt README.txt LICENSE_NYQUIST.txt
%doc %{_mandir}/man?/*
%{_bindir}/audacity
%{_datadir}/audacity
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/mime/packages/audacity.xml
%{_datadir}/icons/hicolor/*

%changelog
